workflow:
  rules:
    - if: '$CI_PIPELINE_SOURCE == "pipeline"'

test-with-credentials:
  stage: test
  script:
      - echo "username = $TEST_ENV_USERNAME_ENCRYPTED"
      - echo "password = $TEST_ENV_PASSWORD_ENCRYPTED"
  needs:
    - project: ci-research-2021-may/scenario-2
      job: build_vars
      ref: master
      artifacts: true
